<?php

namespace Drupal\tellstick\Entity;

use Drupal\views\EntityViewsData;

/**
 * Provides Views data for Tellstick Sensor entities.
 */
class TellstickSensorViewsData extends EntityViewsData {

  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();
    // Additional information for Views integration, such as table joins, can be
    // put here.
    $data['tellstick_sensor_field_data']['sensor']['sort']['id'] = 'ssensor';
    $data['tellstick_sensor_field_data']['sensor']['filter']['id'] = 'sfilter';
    return $data;
  }

}
