<?php

namespace Drupal\tellstick\Entity;

use Drupal\views\EntityViewsData;

/**
 * Provides Views data for Tellstick Data entities.
 */
class TellstickDataViewsData extends EntityViewsData {

  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();
    // Additional information for Views integration, such as table joins, can be
    // put here.
    $data['tellstick_data_field_data']['sensor']['field']['id'] = 'tsensor';
    $data['tellstick_data_field_data']['data']['field']['id'] = 'tdata';
    $data['tellstick_data_field_data']['data']['filter']['id'] = 'fdata';
    $data['tellstick_data_field_data']['sensor']['filter']['id'] = 'dsfilter';
    return $data;
  }

}
